org.hibernate.search.cfg

## Class PropertyDescriptor

- java.lang.Object
- - org.hibernate.search.cfg.PropertyDescriptor

-     public class PropertyDescriptor
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptor(String name, ElementType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFacet(Map<String,Object> facet)`
    `void` | `addField(Map<String,Object> field)`
    `void` | `addNumericField(Map<String,Object> numericField)`
    `void` | `addSortableField(Map<String,Object> sortableField)`
    `Map<String,Object>` | `getAnalyzerDiscriminator()`
    `Map<String,Object>` | `getCalendarBridge()`
    `Map<String,Object>` | `getContainedIn()`
    `Map<String,Object>` | `getDateBridge()`
    `Map<String,Object>` | `getDocumentId()`
    `Map<String,Object>` | `getDynamicBoost()`
    `Collection<Map<String,Object>>` | `getFacets()`
    `Map<String,Object>` | `getFieldBridge()`
    `Collection<Map<String,Object>>` | `getFields()`
    `Map<String,Object>` | `getIndexEmbedded()`
    `Map<String,Object>` | `getLatitude()`
    `Map<String,Object>` | `getLongitude()`
    `String` | `getName()`
    `Collection<Map<String,Object>>` | `getNumericFields()`
    `Collection<Map<String,Object>>` | `getSortableFields()`
    `Map<String,Object>` | `getSpatial()`
    `void` | `setAnalyzerDiscriminator(Map<String,Object> analyzerDiscriminator)`
    `void` | `setCalendarBridge(Map<String,Object> calendarBridge)`
    `void` | `setContainedIn(Map<String,Object> containedIn)`
    `void` | `setDateBridge(Map<String,Object> dateBridge)`
    `void` | `setDocumentId(Map<String,Object> documentId)`
    `void` | `setDynamicBoost(Map<String,Object> dynamicBoostAnn)`
    `void` | `setFieldBridge(Map<String,Object> fieldBridge)`
    `void` | `setIndexEmbedded(Map<String,Object> indexEmbedded)`
    `void` | `setLatitude(Map<String,Object> latitude)`
    `void` | `setLongitude(Map<String,Object> longitude)`
    `void` | `setSpatial(Map<String,Object> spatial)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyDescriptor

          public PropertyDescriptor(String name,
                                    ElementType type)

  - ### Method Detail

    - #### setDocumentId

          public void setDocumentId(Map<String,Object> documentId)

    - #### addField

          public void addField(Map<String,Object> field)

    - #### addNumericField

          public void addNumericField(Map<String,Object> numericField)

    - #### addSortableField

          public void addSortableField(Map<String,Object> sortableField)

    - #### addFacet

          public void addFacet(Map<String,Object> facet)

    - #### setDateBridge

          public void setDateBridge(Map<String,Object> dateBridge)

    - #### setCalendarBridge

          public void setCalendarBridge(Map<String,Object> calendarBridge)

    - #### getName

          public String getName()

    - #### getFields

          public Collection<Map<String,Object>> getFields()

    - #### getNumericFields

          public Collection<Map<String,Object>> getNumericFields()

    - #### getSortableFields

          public Collection<Map<String,Object>> getSortableFields()

    - #### getFacets

          public Collection<Map<String,Object>> getFacets()

    - #### getDocumentId

          public Map<String,Object> getDocumentId()

    - #### getAnalyzerDiscriminator

          public Map<String,Object> getAnalyzerDiscriminator()

    - #### getDateBridge

          public Map<String,Object> getDateBridge()

    - #### getCalendarBridge

          public Map<String,Object> getCalendarBridge()

    - #### setAnalyzerDiscriminator

          public void setAnalyzerDiscriminator(Map<String,Object> analyzerDiscriminator)

    - #### getIndexEmbedded

          public Map<String,Object> getIndexEmbedded()

    - #### setIndexEmbedded

          public void setIndexEmbedded(Map<String,Object> indexEmbedded)

    - #### getContainedIn

          public Map<String,Object> getContainedIn()

    - #### setContainedIn

          public void setContainedIn(Map<String,Object> containedIn)

    - #### setDynamicBoost

          public void setDynamicBoost(Map<String,Object> dynamicBoostAnn)

    - #### getDynamicBoost

          public Map<String,Object> getDynamicBoost()

    - #### getFieldBridge

          public Map<String,Object> getFieldBridge()

    - #### setFieldBridge

          public void setFieldBridge(Map<String,Object> fieldBridge)

    - #### getSpatial

          public Map<String,Object> getSpatial()

    - #### setSpatial

          public void setSpatial(Map<String,Object> spatial)

    - #### getLatitude

          public Map<String,Object> getLatitude()

    - #### setLatitude

          public void setLatitude(Map<String,Object> latitude)

    - #### getLongitude

          public Map<String,Object> getLongitude()

    - #### setLongitude

          public void setLongitude(Map<String,Object> longitude)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved